<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RunAsUser Method (IEdmBatchChangeState6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState6 Interface : RunAsUser Method (IEdmBatchChangeState6)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle that is passed to add-ins that are notified about file state changes in the vault

bsRunASUserName
  User name to use to transition the files

bsRunAsPassword
  Password for bsRunASUserName

Transitions files with another user's credentials.

# Syntax

Visual Basic |
--- | ---

    Sub RunAsUser( _
       ByVal lParentWnd As System.Integer, _
       ByVal bsRunASUserName As System.String, _
       ByVal bsRunAsPassword As System.String _
    )

C# |
--- | ---

    void RunAsUser(
       System.int lParentWnd,
       System.string bsRunASUserName,
       System.string bsRunAsPassword
    )

C++/CLI |
--- | ---

    void RunAsUser(
    &   System.int lParentWnd,
    &   System.String^ bsRunASUserName,
    &   System.String^ bsRunAsPassword
    )

#### Parameters

lParentWnd
  Parent window handle that is passed to add-ins that are notified about file state changes in the vault
bsRunASUserName
  User name to use to transition the files
bsRunAsPassword
  Password for bsRunASUserName

# Example

See the IEdmBatchChangeState6 examples.

# See Also

####

IEdmBatchChangeState6 Interface
IEdmBatchChangeState6 Members

# Availability

SOLIDWORKS PDM Professional 2024